import { BaseService, Service } from '@/cool';

@Service('merchant')
export class LevelService extends BaseService {
	/**
	 * 会员等级 b
	 */
	list(data) {
		return this.request({
			url: '/member-level',
			method: 'POST',
			params: {
				...data
			}
		});
	}

	/**
	 * 会员等级更新 b
	 */
	updateLevel(data) {
		return this.request({
			url: '/member-level-update',
			method: 'POST',
			data: {
				...data
			}
		});
	}
}

export default new LevelService();
